function get_browser() {
    var ua = navigator.userAgent, tem, M = ua.match(/(opera|chrome|safari|firefox|msie|trident(?=\/))\/?\s*(\d+)/i) || [];
    if (/trident/i.test(M[1])) {
      tem = /\brv[ :]+(\d+)/g.exec(ua) || [];
      return { name: 'IE', version: (tem[1] || '') };
    }
    if (M[1] === 'Chrome') {
      tem = ua.match(/\bOPR\/(\d+)/)
      if (tem != null) { return { name: 'Opera', version: tem[1] }; }
    }
    if (window.navigator.userAgent.indexOf("Edge") > -1) {
      tem = ua.match(/\Edge\/(\d+)/)
      if (tem != null) { return { name: 'Edge', version: tem[1] }; }      
    }
    M = M[2] ? [M[1], M[2]] : [navigator.appName, navigator.appVersion, '-?'];
    if ((tem = ua.match(/version\/(\d+)/i)) != null) { M.splice(1, 1, tem[1]); }
    return {
      name: M[0],
      version: +M[1]
    };
  }

  function isSupported(browser) {
    
    var blacklist = [
      'MSIE',
      'IE',
      'EDGE'
    ];
    
    return blacklist.indexOf(browser.name.toUpperCase()) < 0;
  }

  var browser = get_browser()
  
  if (isSupported(browser)) {
    console.log("Browser supported", browser);
  } else {
    console.warn("Browser NOT supported", browser);

    var appRoot = document.getElementsByTagName("wv-root")[0];
	appRoot.parentNode.removeChild(appRoot);
    
    document.write(
        '<div style="margin:48px">' +
            '<h3 style="color: #ff0000; font-family:Roboto; font-size: 24px;">This browser does <b>NOT</b> support vSolution Link Pro!</h1>' +
            '<p style="color: #c0c0c0; font-family:Roboto; font-size: 18px;">Please use <b>Chrome</b>, <b>Firefox</b>, <b>Opera</b> or <b>Safari</b> in a current version instead. </p>' +
        '</div>');
  }